using System;

class Program
{
    static void Main()
    {
        string[] s = Console.ReadLine().Split(' ');
        int N = Convert.ToInt32(s[0]);
        int L = Convert.ToInt32(s[1]);

        string[] s1 = Console.ReadLine().Split(' ');
        
        for (int i = 0; i < N; i++)
        {
            int H = Convert.ToInt32(s1[i]);

            if (H <= L)
            {
                Console.WriteLine(i + 1);
                return;
            }
        }

        Console.WriteLine(-1);
    }
}